| Home · All Classes · All Namespaces · Modules · Functions · Files

# HandleOwnerMap Struct Reference
[Mapping types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Member Functions

- HandleOwnerMap ()
- HandleOwnerMap (const QMap< uint, uint > &a)
- HandleOwnerMap & operator= (const QMap< uint, uint > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, uint>, but needed to have a discrete type in the Qt4 type system.

A map from channel-specific handles to their owners.

## Constructor & Destructor Documentation

HandleOwnerMap | ( |  | ) | `[inline]`

HandleOwnerMap | ( | const QMap< uint, uint > & | a | ) | `[inline]`

## Member Function Documentation

HandleOwnerMap& operator= | ( | const QMap< uint, uint > & | a | ) | `[inline]`